# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add paused column to capability table

Revision ID: 6ef35708ba3a
Revises: d8f7f2fe2ae9
Create Date: 2021-09-20 13:10:31.657547

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "6ef35708ba3a"
down_revision = "d8f7f2fe2ae9"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE capabilities ADD COLUMN IF NOT EXISTS paused BOOLEAN DEFAULT FALSE")


def downgrade():
    op.execute("ALTER TABLE capabilities DROP COLUMN IF EXISTS paused")
